Bug 1565248 - Service Template Provision Task Failing When Picked Up by Appliance in Wrong Zone
Summary: Service Template Provision Task Failing When Picked Up by Appliance in Wrong ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: GA
: 5.8.4
Assignee: Greg McCullough
QA Contact: Shveta
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1510069
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 18:08 UTC by Satoe Imaishi
Modified: 2018-07-30 19:29 UTC (History)
10 users (show)

(edit)
Clone Of: 1510069
(edit)
Last Closed: 2018-06-25 14:19:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19 UTC

Comment 2 CFME Bot 2018-04-09 18:35:57 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/76497ffcd9f23eb9df6d499d901ac7c8422968e5
commit 76497ffcd9f23eb9df6d499d901ac7c8422968e5
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Dec 21 10:51:28 2017 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Dec 21 10:51:28 2017 -0500

    Merge pull request #16702 from lfu/allowed_vlans_1510069

    Fix allowed_vlans to call preload correctly.
    (cherry picked from commit 09a566a277934cc4e955d8fe42b64175e5949f42)

    https://bugzilla.redhat.com/show_bug.cgi?id=1565248

 app/models/miq_provision_virt_workflow.rb | 2 +-
 spec/models/miq_provision_virt_workflow_spec.rb | 6 +
 2 files changed, 7 insertions(+), 1 deletion(-)

Comment 4 Shveta 2018-05-14 18:33:47 UTC
Steps to verify :
==========================
Created two zones .
Added RHEV provider in first zone .
Provisioned service .


Expected Result : provision request should complete in the same zone as the provider.

Actual result : Request Keeps on showing "Active" and never completes .

Appliance :https://10.8.199.206/ 
Request 22.
Service - Rhevitem
Please check .

Comment 5 Shveta 2018-05-14 19:49:47 UTC
Corrected the set up for distributed appliance .
Provisioned service in different zones completes successfully .
Verified in 5.8.4.2.20180424224202_be9b69f

Comment 7 errata-xmlrpc 2018-06-25 14:19:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.